org.bdgenomics.adam.api.java

# ContigsToGenotypesDatasetConverter

###
Related Doc: package java

#### final class ContigsToGenotypesDatasetConverter extends ToGenotypeDatasetConversion[NucleotideContigFragment, NucleotideContigFragmentRDD]

Linear Supertypes
ToGenotypeDatasetConversion[NucleotideContigFragment, NucleotideContigFragmentRDD], GenomicDatasetConversion[NucleotideContigFragment, NucleotideContigFragmentRDD, Genotype, GenotypeRDD], Function2[NucleotideContigFragmentRDD, Dataset[Genotype], GenotypeRDD], Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ContigsToGenotypesDatasetConverter
2. ToGenotypeDatasetConversion
3. GenomicDatasetConversion
4. Function2
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ContigsToGenotypesDatasetConverter()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def call(v1: NucleotideContigFragmentRDD, v2: Dataset[Genotype]): GenotypeRDD

   Definition Classes
     ContigsToGenotypesDatasetConverter → GenomicDatasetConversion → Function2

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    Definition Classes
      AnyRef → Any

18. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### val xTag: scala.reflect.api.JavaUniverse.TypeTag[Genotype]

    Definition Classes
      ToGenotypeDatasetConversion → GenomicDatasetConversion

### Inherited from ToGenotypeDatasetConversion[NucleotideContigFragment, NucleotideContigFragmentRDD]

### Inherited from GenomicDatasetConversion[NucleotideContigFragment, NucleotideContigFragmentRDD, Genotype, GenotypeRDD]

### Inherited from Function2[NucleotideContigFragmentRDD, Dataset[Genotype], GenotypeRDD]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped